Origin management service 5 matching interfaces
Update an origin updateOrigin
POST /OriginService/updateOrigin
Definition file service_origin.proto
Available roles Administrator User Original definition Request message Response message Original definition Copy coderpc updateOrigin ( UpdateOriginRequest ) returns ( RPCSuccess );
Request message UpdateOriginRequestUpdate an origin
Request message · Field definitions Copy codemessage UpdateOriginRequest {
int64 originId = 1 ; // Origin ID
string name = 2 ; // Optional
NetworkAddress addr = 3 ; // Origin network address
bytes ossJSON = 16 ; // OSS configuration; required when protocol in the origin network address starts with oss:
string description = 4 ; // Optional
int32 weight = 5 ; // Weight, at least 0; usually set to 10
bool isOn = 6 ; // Whether enabled
bytes connTimeoutJSON = 7 ; // Optional
bytes readTimeoutJSON = 8 ; // Optional
bytes idleTimeoutJSON = 9 ; // Optional
int32 maxConns = 10 ; // Optional
int32 maxIdleConns = 11 ; // Optional
repeated string domains = 12 ; // Optional
bytes certRefJSON = 13 ; // Optional
string host = 14 ; // Optional
bool followPort = 15 ; // Optional
bool http2Enabled = 17 ; // Optional: whether HTTP/2 is supported; applies only to HTTPS origins
}
Response message RPCSuccessOperation successful
Response message · Field definitions Copy codemessage RPCSuccess {
}